Package tigase.server

## Class XMPPServer

- java.lang.Object
- - tigase.server.XMPPServer

-     public final class XMPPServer
      extends java.lang.Object

  Describe class XMPPServer here.
  Created: Wed Nov 23 07:04:18 2005
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONFIGURATOR_PROP_KEY` |
    `static java.lang.String` | `NAME` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T` | `getComponent​(java.lang.Class<T> clazz)` |
    `static <T> T` | `getComponent​(java.lang.String name)` | Allows obtaining `ConfiguratorAbstract` implementation used by Tigase to handle all configuration of the server.
    `static <T> java.util.stream.Stream<T>` | `getComponents​(java.lang.Class<T> clazz)` |
    `static java.lang.String` | `getImplementationVersion()` |
    `static Version` | `getVersion()` |
    `static java.lang.String` | `help()` | Returns help regarding command line parameters
    `static boolean` | `isOSGi()` |
    `static void` | `main​(java.lang.String[] args)` |
    `static void` | `parseParams​(java.lang.String[] args)` |
    `static void` | `setOSGi​(boolean val)` |
    `static void` | `start​(java.lang.String[] args)` |
    `static void` | `stop()` |
    `static java.lang.String` | `version()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGURATOR_PROP_KEY

          public static final java.lang.String CONFIGURATOR_PROP_KEY

      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getComponent

          public static <T> T getComponent​(java.lang.String name)

      Allows obtaining `ConfiguratorAbstract` implementation used by Tigase to handle all configuration of the server.
      Returns:
        implementation of `ConfiguratorAbstract` interface.

    - #### getComponent

          public static <T> T getComponent​(java.lang.Class<T> clazz)

    - #### getComponents

          public static <T> java.util.stream.Stream<T> getComponents​(java.lang.Class<T> clazz)

    - #### getImplementationVersion

          public static java.lang.String getImplementationVersion()

    - #### getVersion

          public static Version getVersion()

    - #### help

          public static java.lang.String help()

      Returns help regarding command line parameters

    - #### isOSGi

          public static boolean isOSGi()

    - #### setOSGi

          public static void setOSGi​(boolean val)

    - #### main

          public static void main​(java.lang.String[] args)

    - #### parseParams

          public static void parseParams​(java.lang.String[] args)

    - #### start

          public static void start​(java.lang.String[] args)

    - #### stop

          public static void stop()

    - #### version

          public static java.lang.String version()